<page backtop="10mm" backbottom="10mm" backleft="10mm" backright="10mm" orientation="landscape" format="A4">
    <div class="header">
        {# Logo département #}
        {% if settings.data.pdfLogo1 %}
            <div>
                <img width="240" src="{{ app.request.server.get('DOCUMENT_ROOT') ~ uploaded_asset(settings.data.pdfLogo1) }}"/>
            </div>
        {% endif %}

        {# Titre du document #}
        <div class="title">
            Statistiques d'utilisation de {{ settings.data.appName }}
        </div>
    </div>

    <style>
        {{ encore_entry_css_source('stats') }}
    </style>

    <table>
        <thead>
        <tr>
            <th></th>
            {% for month in tableHeader %}
                <th>{{ month|format_date(locale=app.request.locale, pattern= 'MMMM-yy') }}</th>
            {% endfor %}
        </tr>
        </thead>
        <tbody>
            {% for keyLine, statLine in stats %}
                <tr class="{% if loop.index is divisible by(2) %}odd{% else %}even{% endif %}">
                    {% for keyValue, value in statLine %}
                        <td {% if loop.index == 1 %}class="first"{% endif %}>
                            {% if keyLine in [2,3,4,5] and keyValue == 0 %}
                                <span class="puce">•</span><span class="list-value">{{ value }}</span>
                            {% else %}
                                {{ value }}
                            {% endif %}
                        </td>
                    {% endfor %}
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <page_footer>
        {{ _self.footer(1) }}
    </page_footer>
</page>
<page backtop="10mm" backbottom="10mm" backleft="10mm" backright="10mm" orientation="landscape" format="A4">
    <img src="{{ graphFile }}"/>

    <page_footer>
        {{ _self.footer(2) }}
    </page_footer>
</page>

{% macro footer(numPage) %}
    <div class="footer">
        {# Pied de page #}
        {% trans %}Date d'impression{% endtrans %} {{ "now" }}
        <div class="pagenum-container">Page <span class="pagenum">{{ numPage }}</span></div>
    </div>
{% endmacro %}
